
%define real_ver 0.7
#define cvs cvs20060629

Summary: A project allowing GTK to use Qt widget styles.
Name: 	 gtk-qt-engine 
Group:	 User Interface/Desktops
Version: 0.70
Release: 2%{?dist}

License: GPL
URL:     http://www.freedesktop.org/Software/gtk-qt
%if "%{?cvs:1}" == "1"
Source0: gtk-qt-engine-%{cvs}.tar.bz2
Source1: gtk-qt-engine-cvs.sh
%else
Source0: http://www.freedesktop.org/~davidsansome/gtk-qt-engine-%{real_ver}.tar.bz2
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n) 

#### reported Bugs, patches
## GTK/QT + Baghira = lots of problems
## (gtk-qt-engine-cvs20050930 + baghira-0.71 crashes firefox/gimp)
## http://bugs.freedesktop.org/show_bug.cgi?id=2349
#Patch2349:
Patch2: gtk-qt-engine-dt.patch

BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: gtk2-devel >= 2.2
BuildRequires: libbonoboui-devel
BuildRequires: qt-devel 
BuildRequires: kdelibs-devel 
BuildRequires: libpng-devel


%description
The GTK-Qt Theme Engine is a project allowing GTK to use Qt widget styles.

It behaves like a normal GTK theme engine, but calls functions from Qt 
instead of doing the drawing itself. 


%prep
%setup -q  -n %{name}

%patch2 -p1 -b .dt


%build
unset QTDIR || : ; source /etc/profile.d/qt.sh

%configure \
  --disable-rpath \
  --disable-debug --disable-warnings \
  --disable-dependency-tracking --enable-final

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT

make install DESTDIR=$RPM_BUILD_ROOT

# locale's
%find_lang gtkqtengine || touch gtkqtengine.lang

desktop-file-install \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications/ \
  --add-category="X-Fedora" --vendor="" \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

# Unpackaged files
rm -rf $RPM_BUILD_ROOT%{_prefix}/lib/menu
rm -f  $RPM_BUILD_ROOT%{_datadir}/applnk/Settings/LookNFeel/kcmgtk.desktop


%clean
rm -rf $RPM_BUILD_ROOT


%files -f gtkqtengine.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README
%{_datadir}/themes/Qt/
%{_datadir}/gtk-qt-engine/
%{_datadir}/applications/*.desktop
%{_libdir}/gtk-2.0/*/engines/*
%{_libdir}/kde3/kcm_*.*


%changelog 
* Wed Jul 12 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.70-2
- remove dup'd kcmgtk.desktop

* Thu Jul 06 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.70-1
- gtk-qt-engine-0.7

* Thu Jun 29 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-10
- gtk-qt-engine-cvs20060629, fixes ooo issues (bug #163110)

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-8
- Unpackaged file %%_libdir/menu -> %%_prefix/lib/menu

* Wed Mar 1 2006 Rex Dieter <rexdieter[AT]users.sf.net>
- fc5: gcc/glibc respin

* Mon Jan 23 2006 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-7
- don't dup "GTK Styles and fonts" in KDE menu(s)
- drop Req: kdebase

* Wed Oct 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-5
- revert to 0.6.
- Req: kdebase
- cleanout unused crud
- fix gtk/cairo crasher (fdo bug #3214)
- segfault in libqtengine.so drawing notebook (fdo bug #3919)

* Wed Oct 26 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-4.cvs
- update to cvs to see if it helps ooo (and others)

* Fri Aug  5 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-3
- drop bogus BR: libjpeg-devel libmng-devel
- x86_64 patch (and BR: autoconf automake17)

* Fri Aug  5 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-2
- respin (2nd attempt at make plague)

* Wed Apr  8 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.60-1
- cleanup for Extras
- 0.6 (#153976)

* Fri Apr  7 2005 Michael Schwendt <mschwendt[AT]users.sf.net>
- rebuilt

* Sat Feb 12 2005 Thorsten Leemhuis <fedora at leemhuis dot info> 0.41-5
- Add patch to fix compile-error on x86_64; Patch was found in a suse srpm

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.4
- workarounds for missing deps in stock qt-devel/kdelibs-devel
  BR: libmng-devel libjpeg-devel

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.3
- nuke /usr/lib/menu stuff

* Tue Jul 13 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.2
- BR: libpng-devel

* Mon Jul 12 2004 Rex Dieter <rexdieter at sf.net> 0.41-0.fdr.1
- 0.41

* Sun Apr 04 2004 Rex Dieter <rexdieter at sf.net> 0.3-0.fdr.0
- 0.3

